#
# spec file for package caduntu (Version svn-69)
#
# Copyright (c) 2010 Rallaz
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:		dibpunto

BuildRequires: make gcc gcc-c++ glibc-devel

# Fedora specifics
%if 0%{?fedora_version} > 0 || 0%{?rhel_version} > 0 || 0%{?centos_version} > 0
BuildRequires:  qt-devel
BuildRequires:  qt4-devel >= 4.4.1
%endif

# Mandriva specifics aqui falta qt4-devel o como se llame
%if 0%{?mandriva_version} > 0
BuildRequires:  libqt4-devel qt4-linguist XFree86-devel lcms-devel freetype-devel hal-devel  -kernel
%endif

# SUSE Specifics
%if 0%{?suse_version} > 0
BuildRequires:  libqt4-devel >= 4.4.1
BuildRequires:  update-desktop-files
%endif

Version:	1.0
Release:	0
URL:		http://www.caduntu.org/
License:	GPLv3
Source0:	%{name}-%{version}.tar.bz2
#Source1:	%{name}.desktop
#Patch1:		lrelease-fedora.patch
Group:		Applications/Engineering
Summary:	Conversor de ascii a dxf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Conversor de nubes puntos en ascii a dxf para usarlos en LibreCAD o QCad.

%prep
%setup -q
%if 0%{?fedora_version} > 0  
%patch1 -p1  
%endif  

%build
%if 0%{?fedora_version} > 0
qmake-qt4  
%else  
qmake  
%endif
%{__make} %{?jobs:-j %jobs}

%install
%makeinstall INSTALL_ROOT=%buildroot

lrelease %{name}.pro
mkdir -p %{buildroot}%{_datadir}/%{name}/qm
#mkdir -p %{buildroot}%{_datadir}/doc/packages/%{name}/html/imgs
cp *.qm %{buildroot}%{_datadir}/%{name}/qm/
#cp gpl-3.0.txt %{buildroot}%{_docdir}/%{name}/LICENSE

%{__install} -Dm 755 -s %{name} %{buildroot}%{_bindir}/%{name}
#%{__install} -Dm 644 %SOURCE1 %{buildroot}%{_datadir}/applications/%{name}.desktop
#%{__install} -Dm 644 res/main/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
#%doc CREDIT LICENSE README examples
#%doc LICENSE
%{_bindir}/%{name}
#%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/qm
%{_datadir}/%{name}/qm/*


%changelog
* Fri Mar 12 2010 Rallaz <rallazz@gmail.com> - 1.0
- Initial release
