/*****************************************************************************/
/*  DibPunto - Conversor de ascii a dxf                                      */
/*                                                                           */
/*  Copyright (C) 2011 Rallaz, rallazz@gmail.com                             */
/*                                                                           */
/*  This library is free software, licensed under the terms of the GNU       */
/*  General Public License as published by the Free Software Foundation,     */
/*  either version 3 of the License, or (at your option) any later version.  */
/*  You should have received a copy of the GNU General Public License        */
/*  along with this program.  If not, see <http://www.gnu.org/licenses/>.    */
/*****************************************************************************/

#include <QtGui/QApplication>
#include <QTranslator>
#include "dibpunto.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QTranslator translator;
    QLocale locale = QLocale::system();
//    translator.load(QString(LANG_DIR) + QString("qm/dibpunto_") + locale.name() + ".qm");
    translator.load(QString("qm/dibpunto_") + locale.name() + ".qm");
    a.installTranslator(&translator);
    dibPunto w;
    w.show();

    return a.exec();
}
